# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */  #
#Commands & Apps to be executed at launch

$scriptsDir = $HOME/.config/hypr/scripts

# wallpaper stuff / More wallpaper options below
exec-once = swww-daemon --format xrgb
exec-once = darkman run &
exec-once = eww daemon &
exec-once = eww open media &

# Startup
exec-once = dbus-update-activation-environment --systemd WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
exec-once = systemctl --user import-environment WAYLAND_DISPLAY XDG_CURRENT_DESKTOP

# starup apps
exec-once = nm-applet --indicator &
exec-once = swaync &
exec-once = ags &
exec-once = blueman-applet &
exec-once = kdeconnect-indicator &
exec-once = solaar --window="hide" &
exec-once = wal -R
exec-once = gtk-launch io.element.Element.desktop &

exec-once = swww img "$HOME/.cache/wallpaper.png"

# Starting hypridle to start hyprlock
exec-once = hypridle &

# Start pyprland daemon
exec-once = pypr &

exec-once = wl-paste --type text --watch cliphist store # Stores only text data
exec-once = wl-paste --type image --watch cliphist store # Stores only image data

exec-once = hyprsunset &
exec-once = sleep 1 && hyprctl reload &
